<!DOCTYPE html>
<html lang="zh" class="h-full">
<head>
  <!-- Required Meta Tags Always Come First -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Laysense Auth">


  <!-- Title -->
  <title>Laysense Auth</title>

  <!-- Favicon -->
  <link rel="shortcut icon" href="https://static.laysense.cn/data/file/_4335ce.png?1709117691655">

  <!-- Font -->

  <!-- Theme Check and Update -->
  <script>
    const html = document.querySelector('html');
    const isLightOrAuto = localStorage.getItem('hs_theme') === 'light' || (localStorage.getItem('hs_theme') === 'auto' && !window.matchMedia('(prefers-color-scheme: dark)').matches);
    const isDarkOrAuto = localStorage.getItem('hs_theme') === 'dark' || (localStorage.getItem('hs_theme') === 'auto' && window.matchMedia('(prefers-color-scheme: dark)').matches);

    if (isLightOrAuto && html.classList.contains('dark')) html.classList.remove('dark');
    else if (isDarkOrAuto && html.classList.contains('light')) html.classList.remove('light');
    else if (isDarkOrAuto && !html.classList.contains('dark')) html.classList.add('dark');
    else if (isLightOrAuto && !html.classList.contains('light')) html.classList.add('light');
  </script>

  <!-- CSS HS -->
  <link rel="stylesheet" href="https://static.laysense.cn/data/file/cdn/preline.css">
</head>

<body class="flex h-full items-center py-16 dark:bg-neutral-800" background="https://bing.img.run/1920x1080.php">
  <!-- ========== MAIN CONTENT ========== -->
  <main id="content" class="w-full max-w-md mx-auto p-6">

    <div class="mt-7 border border-gray-200 rounded-xl shadow-sm dark:bg-neutral-900 dark:border-neutral-700" style="background: rgba(255, 255, 255, 0.6);-webkit-backdrop-filter: blur(10px);backdrop-filter: blur(10px);">
      <div class="p-4 sm:p-7">
        <div class="text-center">
          <h1 class="block text-2xl font-bold text-gray-800 dark:text-white" ><img  src="https://static.laysense.cn/data/file/laysenseW.png" style="height:30px;" />欢迎回来,<?php echo($userinfo->name);?></h1>
          <p class="mt-2 text-sm text-gray-600 dark:text-neutral-400">
            <?php echo($userinfo->position);?>
          </p>
        </div>

        <div class="py-3 flex items-center text-xs text-gray-400 uppercase before:flex-1 before:border-t before:border-gray-200 before:me-6 after:flex-1 after:border-t after:border-gray-200 after:ms-6 dark:text-neutral-500 dark:before:border-neutral-600 dark:after:border-neutral-600">您即将进入</div>

        <div class="shrink-0 group block ">
  <div class="flex items-center">
    <img class="inline-block shrink-0 size-[62px] rounded-full" src="<?php echo($website->logo);?>" alt="Avatar">
    <div class="ms-3">
      <h3 class="font-semibold text-gray-800 dark:text-white"><?php echo($website->name);?></h3>
      <p class="text-sm font-medium text-gray-400 dark:text-neutral-500"><?php echo($website->info);?></p>
    </div>
  </div>
  <p class="mt-2 text-sm text-gray-600 dark:text-neutral-400 text-center" >
  由 
  <a class="text-blue-600 decoration-2 hover:underline focus:outline-none focus:underline font-medium dark:text-blue-500" href="<?php echo($provider->link);?>" target="_blank">
  <?php echo($provider->name);?>
  </a>
  提供
  </p>
</div>


        <div class="py-3 flex items-center text-xs text-gray-400 uppercase before:flex-1 before:border-t before:border-gray-200 before:me-6 after:flex-1 after:border-t after:border-gray-200 after:ms-6 dark:text-neutral-500 dark:before:border-neutral-600 dark:after:border-neutral-600">正在前往，请稍等</div>

        <div >
          <button class=" mb-4 w-full py-3 px-4 inline-flex justify-center items-center gap-x-2 text-sm font-medium rounded-lg border border-transparent bg-teal-100 text-teal-800 hover:bg-teal-200 focus:outline-none focus:bg-teal-200 disabled:opacity-50 disabled:pointer-events-none dark:text-teal-500 dark:bg-teal-800/30 dark:hover:bg-teal-800/20 dark:focus:bg-teal-800/20">
          <div class="animate-spin inline-block size-6 border-[3px] border-current border-t-transparent text-blue-600 rounded-full dark:text-blue-500" role="status" aria-label="loading">
        <span class="sr-only">Loading...</span>
      </div>
          </button>

        </div>
      </div>
    </div>





    <p class="mt-3 flex justify-center items-center text-center divide-x divide-gray-300 dark:divide-neutral-700">
      ©上海来笙信息科技有限公司 2024  </p>

      
  </main>
  <!-- ========== END MAIN CONTENT ========== -->

  <!-- JS Implementing Plugins -->

  <!-- JS PLUGINS -->
  <!-- Required plugins -->
  <script src="https://static.laysense.cn/data/file/cdn/preline.js"></script>
<script>
    setTimeout("location.href='<?php echo($dest);?>'",3000);
</script>
  <!-- JS THIRD PARTY PLUGINS -->
</body>
</html>